############################################################################
# Unified Plone installer build script
# Stand-alone instance builder.
# Original Author: Kamal Gill (kamalgill at mac.com)
# Adapted for Plone 3 and buildout by Steve McMahon (steve at dcn.org)
#
# $LastChangedDate: 2008-08-06 13:55:53 -0700 (Wed, 06 Aug 2008) $ $LastChangedRevision: 22035 $


cd $CWD

echo "Copying standalone buildout template"
cp -r base_skeleton $RINSTANCE_HOME
cp buildout_templates/standalone.cfg $RINSTANCE_HOME/buildout.cfg
BOC=$RINSTANCE_HOME/buildout.cfg
BBIN=$RINSTANCE_HOME/bin/buildout

# buildout.cfg patches

# patch password
# and buildout cache location
mv $BOC ${BOC}.bak
sed -e "s|__PASSWORD__|$PASSWORD|" \
    -e "s|__TARGET__|$PLONE_HOME|" \
    ${BOC}.bak \
    > $BOC
rm $BOC.bak

# Set effective-user
mv $BOC ${BOC}.bak
if [ $ROOT_INSTALL -eq 1 ]
then
    sed -e "s|#effective-user = __EFFECTIVE_USER__|effective-user = $EFFECTIVE_USER|" \
        -e "s|sudo-command = |sudo-command = sudo|" \
        ${BOC}.bak \
        > $BOC
else
    sed -e "s|^ *chown -R.*$||" \
        -e "s|^ *find .*$||" \
        ${BOC}.bak \
        > $BOC
fi
rm $BOC.bak

if [ $SEPARATE_ZOPE -eq 1 ]
then
   # patch buildout.cfg to use the separate zope
    mv $BOC ${BOC}.bak
    sed -e "s|    zope2|#    zope2|" \
        -e "s|\\$.zope2:location.|$MYZOPE|" \
        -e "s|\[zope2\]|#[zope2]|" \
        -e "s|recipe = plone.recipe.zope2install|#recipe = plone.recipe.zope2install|" \
        -e "s|url = \\$.plone:zope2-url.|#url = \\$\\{plone:zope2-url\\}|" \
        ${BOC}.bak \
        > $BOC
    rm $BOC.bak
fi

# patch bin/buildout paths
mv $BBIN ${BBIN}.bak
sed "s|__TARGET__|$PLONE_HOME|" ${BBIN}.bak > $BBIN
rm $BBIN.bak
chmod 755 $BBIN

chmod 600 $RINSTANCE_HOME/buildout.cfg

# remove OS X and svn detritus (this is mainly helpful for installer development)
find $RINSTANCE_HOME -name "._*" -exec rm {} \; > /dev/null
find $RINSTANCE_HOME -name ".svn" | xargs rm -rf

if [ $RUN_BUILDOUT -eq 1 ]
then
    echo "Running buildout"
    cd $RINSTANCE_HOME
    bin/buildout -No
    
    if [ ! -e bin/instance ] || [ ! -e parts/plone ] || [ ! -e var ]
    then
        echo "Parts of the install are missing. Buildout must have failed. Aborting."
        exit 1
    fi
    
    
    # compatibility with old UnifiedInstaller
    cd bin
    ln -s instance zopectl
    
    
    ###############################
    # Create a Plone instance at /Plone in the ZODB
    # via zopectl run script.
    echo "Creating Plone site at /Plone in ZODB ..."
    $RINSTANCE_HOME/bin/instance run $RINSTANCE_HOME/bin/mkPloneSite.py 2> $RINSTANCE_HOME/var/log/firststart.log
    rm $RINSTANCE_HOME/var/filestorage/Data.fs.index \
       $RINSTANCE_HOME/var/filestorage/Data.fs.tmp \
       $RINSTANCE_HOME/var/filestorage/Data.fs.lock
    rm -r $RINSTANCE_HOME/plone_init_content 2>> $RINSTANCE_HOME/var/log/firststart.log
    if [ "$?" != "0" ]
    then
    	echo "Attempt to create a Plone site in the Zope instance failed."
    	echo "You will need to do this manually."
    fi
else
    echo "Skipping bin/buildout at your request."
fi
